#!/usr/bin/perl
# j5_xml_rpc_client_return_error_message.pl
# Nathan Hillson 01-SEP-15

# *** Copyright Notice ***
#
# Copyright (c) 2010-2015, The Regents of the University of California,
# through Lawrence Berkeley National Laboratory (subject to receipt of
# any required approvals from the U.S. Dept. of Energy). All rights
# reserved.
#
# NOTICE. This software was developed under funding from the U.S. Department of Energy.
# As such, the U.S. Government has been granted for itself and others acting on its
# behalf a paid-up, nonexclusive, irrevocable, worldwide license in the Software to
# reproduce, prepare derivative works, and perform publicly and display publicly.
# Beginning five (5) years after the date permission to assert copyright is obtained
# from the U.S. Department of Energy, and subject to any subsequent five (5) year
# renewals, the U.S. Government is granted for itself and others acting on its behalf a
# paid-up, nonexclusive, irrevocable, worldwide license in the Software to reproduce,
# prepare derivative works, distribute copies to the public, perform publicly and
# display publicly, and to permit others to do so. 
#
# This program is free software; you can redistribute it and/or modify
# it under the same terms as the Perl "Artistic License"
# (http://dev.perl.org/licenses/artistic.html).
#
# *** End of Copyright Notice ***

use XML::RPC;
use Term::ReadKey;  

# local variables
my $result;
my $xmlrpc;

$xmlrpc = XML::RPC->new('https://j5.jbei.org/bin/j5_xml_rpc.pl');

$result = $xmlrpc->call( 'ReturnErrorMessage' );

#print $xmlrpc->xml_in();

if (defined $result->{"faultString"}) {
  print "Error: faultCode: ",$result->{"faultCode"}," faultString: ",$result->{"faultString"},"\n";
}

else {
  print "No Error returned...\n";
}

